Package org.gitana.platform.client.release

# Interface Release

All Superinterfaces:
  `AccessControllable`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `RepositoryDocument`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `ReleaseImpl`

public interface Release extends RepositoryDocument, AccessControllable, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_ARCHIVED`
`static final String`
`FIELD_BRANCH_ID`
`static final String`
`FIELD_FINALIZE_HAS_CONFLICTS`
`static final String`
`FIELD_FINALIZED`
`static final String`
`FIELD_FINALIZED_BY`
`static final String`
`FIELD_FINALIZED_DATE`
`static final String`
`FIELD_RELEASE_DATE`
`static final String`
`FIELD_RELEASED`
`static final String`
`FIELD_REV`
`static final String`
`FIELD_SCHEDULED`
`static final String`
`FIELD_SCHEDULED_BY`
`static final String`
`FIELD_SCHEDULED_DATE`
`static final String`
`FIELD_SCHEDULED_WORK_ID`
`static final String`
`FIELD_SNAPSHOT_ID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`archive()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`finalize(boolean schedule)`
`boolean`
`getArchived()`
`Branch`
`getBranch()`
`String`
`getBranchId()`
`boolean`
`getFinalized()`
`String`
`getFinalizedBy()`
`Calendar`
`getFinalizedDate()`
`boolean`
`getFinalizeHasConflicts()`
`boolean`
`getReleased()`
`Calendar`
`getReleaseDate()`
`int`
`getRev()`
`boolean`
`getScheduled()`
`String`
`getScheduledBy()`
`Calendar`
`getScheduledDate()`
`String`
`getScheduledWorkId()`
`String`
`getSnapshotId()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`loadInfo()`
`void`
`releaseImmediately()`
`void`
`unarchive()`
`void`
`unfinalize()`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.repository.RepositoryDocument

`getRepository, getRepositoryId`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_BRANCH_ID

static final String FIELD_BRANCH_ID

See Also:
  - Constant Field Values

### FIELD_REV

static final String FIELD_REV

See Also:
  - Constant Field Values

### FIELD_FINALIZED

static final String FIELD_FINALIZED

See Also:
  - Constant Field Values

### FIELD_FINALIZED_DATE

static final String FIELD_FINALIZED_DATE

See Also:
  - Constant Field Values

### FIELD_FINALIZED_BY

static final String FIELD_FINALIZED_BY

See Also:
  - Constant Field Values

### FIELD_SCHEDULED

static final String FIELD_SCHEDULED

See Also:
  - Constant Field Values

### FIELD_SCHEDULED_DATE

static final String FIELD_SCHEDULED_DATE

See Also:
  - Constant Field Values

### FIELD_SCHEDULED_BY

static final String FIELD_SCHEDULED_BY

See Also:
  - Constant Field Values

### FIELD_RELEASED

static final String FIELD_RELEASED

See Also:
  - Constant Field Values

### FIELD_RELEASE_DATE

static final String FIELD_RELEASE_DATE

See Also:
  - Constant Field Values

### FIELD_SCHEDULED_WORK_ID

static final String FIELD_SCHEDULED_WORK_ID

See Also:
  - Constant Field Values

### FIELD_FINALIZE_HAS_CONFLICTS

static final String FIELD_FINALIZE_HAS_CONFLICTS

See Also:
  - Constant Field Values

### FIELD_ARCHIVED

static final String FIELD_ARCHIVED

See Also:
  - Constant Field Values

### FIELD_SNAPSHOT_ID

static final String FIELD_SNAPSHOT_ID

See Also:
  - Constant Field Values

## Method Details

### getBranchId

String getBranchId()

### getRev

int getRev()

### getFinalized

boolean getFinalized()

### getFinalizedDate

Calendar getFinalizedDate()

### getFinalizedBy

String getFinalizedBy()

### getScheduled

boolean getScheduled()

### getScheduledDate

Calendar getScheduledDate()

### getScheduledBy

String getScheduledBy()

### getScheduledWorkId

String getScheduledWorkId()

### getReleased

boolean getReleased()

### getReleaseDate

Calendar getReleaseDate()

### getFinalizeHasConflicts

boolean getFinalizeHasConflicts()

### getArchived

boolean getArchived()

### getSnapshotId

String getSnapshotId()

### getBranch

Branch getBranch()

### loadInfo

com.fasterxml.jackson.databind.node.ObjectNode loadInfo()

### finalize

com.fasterxml.jackson.databind.node.ObjectNode finalize(boolean schedule)

### unfinalize

void unfinalize()

### archive

void archive()

### unarchive

void unarchive()

### releaseImmediately

void releaseImmediately()